> This page is for API Reference.

> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://docs.navipartner.com/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.navipartner.com/_mcp/server.

# Generate Boarding Token (Local)

POST https://api.npretail.app/{tenant}/{environment}/{company}/pos/sale/{saleId}/eft/local/generateBoardingToken
Content-Type: application/json

Requests an Adyen Tap-to-Pay boarding token for the POS unit associated with the current user.
Requires the POS unit to be of type UNATTENDED with Adyen TTP EFT Setup and an In Person Store Id configured in the Adyen Unit Setup.
The saleId is required for context resolution but the token is scoped to the POS unit and store, not the sale itself.
Returns a raw JWT; the frontend must base64-encode it before passing it to the in-POS bridge.

Reference: https://docs.navipartner.com/apis/api-reference/pos/possale/generate-boarding-token

## Authentication

- `x-np-api-key` header (required) — API Key authentication via header

## Request

### Path parameters

- `tenant` (string, required) — Your Entra Tenant ID. [More details.](/paths#1-tenant)
- `environment` (string, required) — Your Business Central Environment. [More details.](/paths#2-environment)
- `company` (string, required) — Your Business Central Company. [More details.](/paths#3-company)
- `saleId` (UUID, required) — The id of a POS sale. This can be provided by the API consumer when creating a new sale.

### Body (application/json)

This endpoint expects an EFTGenerateBoardingTokenRequest.

- `boardingRequestToken` (string, required) — Token from the Adyen TTP SDK that authorises the boarding request

## Response

### 200

- `boardingToken` (string, required) — Raw JWT boarding token. The frontend must base64-encode this before passing it to the in-POS bridge.

## Examples

**Request**

```json
{
  "boardingRequestToken": "eyJhbGciOiJSUzI1NiJ9.eyJpc3MiOiJhZHllbiJ9.abc"
}
```

**Response**

```json
{
  "boardingToken": "eyJhbGciOiJSUzI1NiIsInR5cCI6IkpXVCJ9.eyJzdWIiOiJib2FyZGluZyJ9.signature"
}
```

**SDK Code**

```python
import requests

url = "https://api.npretail.app/01234567-89ab-cdef-0123-456789abcdef/production/CRONUS%2520International%2520Ltd./pos/sale/0d200aa6-aacd-4b78-b673-c4fb7461f5ea/eft/local/generateBoardingToken"

payload = { "boardingRequestToken": "eyJhbGciOiJSUzI1NiJ9.eyJpc3MiOiJhZHllbiJ9.abc" }
headers = {
    "x-np-api-key": "<NaviPartner API Key>",
    "Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.json())
```

```javascript
const url = 'https://api.npretail.app/01234567-89ab-cdef-0123-456789abcdef/production/CRONUS%2520International%2520Ltd./pos/sale/0d200aa6-aacd-4b78-b673-c4fb7461f5ea/eft/local/generateBoardingToken';
const options = {
  method: 'POST',
  headers: {'x-np-api-key': '<NaviPartner API Key>', 'Content-Type': 'application/json'},
  body: '{"boardingRequestToken":"eyJhbGciOiJSUzI1NiJ9.eyJpc3MiOiJhZHllbiJ9.abc"}'
};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go
package main

import (
	"fmt"
	"strings"
	"net/http"
	"io"
)

func main() {

	url := "https://api.npretail.app/01234567-89ab-cdef-0123-456789abcdef/production/CRONUS%2520International%2520Ltd./pos/sale/0d200aa6-aacd-4b78-b673-c4fb7461f5ea/eft/local/generateBoardingToken"

	payload := strings.NewReader("{\n  \"boardingRequestToken\": \"eyJhbGciOiJSUzI1NiJ9.eyJpc3MiOiJhZHllbiJ9.abc\"\n}")

	req, _ := http.NewRequest("POST", url, payload)

	req.Header.Add("x-np-api-key", "<NaviPartner API Key>")
	req.Header.Add("Content-Type", "application/json")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby
require 'uri'
require 'net/http'

url = URI("https://api.npretail.app/01234567-89ab-cdef-0123-456789abcdef/production/CRONUS%2520International%2520Ltd./pos/sale/0d200aa6-aacd-4b78-b673-c4fb7461f5ea/eft/local/generateBoardingToken")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Post.new(url)
request["x-np-api-key"] = '<NaviPartner API Key>'
request["Content-Type"] = 'application/json'
request.body = "{\n  \"boardingRequestToken\": \"eyJhbGciOiJSUzI1NiJ9.eyJpc3MiOiJhZHllbiJ9.abc\"\n}"

response = http.request(request)
puts response.read_body
```

```java
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.post("https://api.npretail.app/01234567-89ab-cdef-0123-456789abcdef/production/CRONUS%2520International%2520Ltd./pos/sale/0d200aa6-aacd-4b78-b673-c4fb7461f5ea/eft/local/generateBoardingToken")
  .header("x-np-api-key", "<NaviPartner API Key>")
  .header("Content-Type", "application/json")
  .body("{\n  \"boardingRequestToken\": \"eyJhbGciOiJSUzI1NiJ9.eyJpc3MiOiJhZHllbiJ9.abc\"\n}")
  .asString();
```

```php
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('POST', 'https://api.npretail.app/01234567-89ab-cdef-0123-456789abcdef/production/CRONUS%2520International%2520Ltd./pos/sale/0d200aa6-aacd-4b78-b673-c4fb7461f5ea/eft/local/generateBoardingToken', [
  'body' => '{
  "boardingRequestToken": "eyJhbGciOiJSUzI1NiJ9.eyJpc3MiOiJhZHllbiJ9.abc"
}',
  'headers' => [
    'Content-Type' => 'application/json',
    'x-np-api-key' => '<NaviPartner API Key>',
  ],
]);

echo $response->getBody();
```

```csharp
using RestSharp;

var client = new RestClient("https://api.npretail.app/01234567-89ab-cdef-0123-456789abcdef/production/CRONUS%2520International%2520Ltd./pos/sale/0d200aa6-aacd-4b78-b673-c4fb7461f5ea/eft/local/generateBoardingToken");
var request = new RestRequest(Method.POST);
request.AddHeader("x-np-api-key", "<NaviPartner API Key>");
request.AddHeader("Content-Type", "application/json");
request.AddParameter("application/json", "{\n  \"boardingRequestToken\": \"eyJhbGciOiJSUzI1NiJ9.eyJpc3MiOiJhZHllbiJ9.abc\"\n}", ParameterType.RequestBody);
IRestResponse response = client.Execute(request);
```

```swift
import Foundation

let headers = [
  "x-np-api-key": "<NaviPartner API Key>",
  "Content-Type": "application/json"
]
let parameters = ["boardingRequestToken": "eyJhbGciOiJSUzI1NiJ9.eyJpc3MiOiJhZHllbiJ9.abc"] as [String : Any]

let postData = JSONSerialization.data(withJSONObject: parameters, options: [])

let request = NSMutableURLRequest(url: NSURL(string: "https://api.npretail.app/01234567-89ab-cdef-0123-456789abcdef/production/CRONUS%2520International%2520Ltd./pos/sale/0d200aa6-aacd-4b78-b673-c4fb7461f5ea/eft/local/generateBoardingToken")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "POST"
request.allHTTPHeaderFields = headers
request.httpBody = postData as Data

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```